Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jprocessunit.addon.jpd.util
Class CallBackServer

    java.lang.Object
      org.jprocessunit.addon.jpd.util.CallBackServer

    public class CallBackServer

extends java.lang.Object

Field Summary
`java.lang.String` | `callBackServerPort`
`boolean` | `enabled`

Constructor Summary
`CallBackServer()`

Method Summary
`void` | `addResponse(java.lang.String responseName, java.lang.String conversationId, javax.xml.soap.SOAPElement request)` Registers a response for the responseName (callback operation/method name) and conversation ID specified.
`java.lang.String` | `getCallBackServerPort()`
`javax.xml.soap.SOAPElement` | `getResponse(java.lang.String responseName, java.lang.String conversationId)`
`boolean` | `isEnabled()`
`boolean` | `isResponseReceived(java.lang.String responseName, java.lang.String conversationId)` Check to see if a response was received for the responseName (callback operation/method name) and conversation ID specified.
`void` | `setCallBackServerPort(java.lang.String callBackServerPort)`
`void` | `setEnabled(boolean enabled)`
`void` | `start()` Starts the callback Jetty server on the configured port by the callBackServerPort variable.
`void` | `stop()` Stops the callback Jetty server.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### enabled

    public boolean enabled

### callBackServerPort

    public java.lang.String callBackServerPort

Constructor Detail

### CallBackServer

    public CallBackServer()

Method Detail

### start

    public void start()

  Starts the callback Jetty server on the configured port by the callBackServerPort variable.

### stop

    public void stop()

  Stops the callback Jetty server.

### isResponseReceived

    public boolean isResponseReceived(java.lang.String responseName,
                                      java.lang.String conversationId)

  Check to see if a response was received for the responseName (callback operation/method name) and conversation ID specified.

### getResponse

    public javax.xml.soap.SOAPElement getResponse(java.lang.String responseName,
                                                  java.lang.String conversationId)

### addResponse

    public void addResponse(java.lang.String responseName,
                            java.lang.String conversationId,
                            javax.xml.soap.SOAPElement request)

  Registers a response for the responseName (callback operation/method name) and conversation ID specified.

### getCallBackServerPort

    public java.lang.String getCallBackServerPort()

### setCallBackServerPort

    public void setCallBackServerPort(java.lang.String callBackServerPort)

### isEnabled

    public boolean isEnabled()

### setEnabled

    public void setEnabled(boolean enabled)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

JProcessUnit API